This Wiki is for research about Fediverse and federated network technologies. The collected information is input to the [**fediverse.party**](https://fediverse.party) website.

Contributors welcome! Send a ([merge requests](https://git.feneas.org/feneas/fediverse/blob/master/CONTRIBUTING.md)). If you wish to do research and fact checking, to add or update information in our wiki, please, contact @light or any other project member and you'll be added to this repository.

<details><summary>Format for watchlist entries (click to expand)</summary>
<p>

> Style guide: Each new entry in the watchlists has the following parts:
>
>- :heavy_check_mark: :tada: :black_nib: - applicable symbols (see meaning [below](https://git.feneas.org/feneas/fediverse/-/wikis/home#key-to-symbols-used-on-this-wiki)), required.
>- **AppName** in bold text with link to source repository, required.
>- ([site](), [Fedi account]()) between brackets, when available.
>    - site: the official website of the app, if available besides the code repository.
>    - Fedi account: official app's / developer's account in any Fediverse connected network.
>- Semicolon followed by description text, required.
>- `License, Language` formatted as code (using  backtick character), required.
>    - License: no need to mention 'GNU' just state e.g. `GPL-3.0`. Use a dash `-` if unknown
>    - Language: required for code repositories. Use a dash `-` otherwise
>
> Example:
>
> * :tada: :heavy_check_mark: **[Pleroma](https://git.pleroma.social/pleroma)** ([site](https://pleroma.social)): Microblogging platform `AGPL-3.0, Elixir`
>
>See the [ActivityPub Watchlist](https://git.feneas.org/feneas/fediverse/-/wikis/watchlist-for-activitypub-apps) for more good examples.
</p>
</details>

### Key to symbols used on this wiki

:heavy_check_mark: == **added to live website** (app is listed somewhere on [fediverse.party](https://fediverse.party))

:tada: == **projects that successfully federate**

:black_nib: == **newly added to this page** (added, not altered. Only @light to remove please)

### [Table of Contents](#toc)
#### [Watchlists](#watchlists)

* [ActivityPub protocol apps - Watchlist](https://git.feneas.org/feneas/fediverse/-/wikis/watchlist-for-activitypub-apps)
* [ActivityPub developer resources - Watchlist](https://git.feneas.org/feneas/fediverse/-/wikis/Watchlist-for-ActivityPub-developer-resources)
* [Diaspora protocol apps - Watchlist](https://git.feneas.org/feneas/fediverse/-/wikis/watchlist-for-Diaspora-protocol-apps)
* [Zot protocol apps - Watchlist](https://git.feneas.org/feneas/fediverse/-/wikis/watchlist-for-Zot-apps)
* [Apps considering federation - Watchlist](https://git.feneas.org/feneas/fediverse/-/wikis/considering-federation-watchlist)

#### [Fediverse related](#Fediverse-related)
* [Instance monitoring sites](https://git.feneas.org/feneas/fediverse/-/wikis/instance-monitoring-sites)
* [Client apps](https://git.feneas.org/feneas/fediverse/-/wikis/watchlist-for-client-apps)
* [Organizations in Fediverse](https://git.feneas.org/feneas/fediverse/-/wikis/Organizations-supporting-federated-social-software)
* [Fediverse development](https://git.feneas.org/feneas/fediverse/-/wikis/Fediverse-development)
* [Early adopters (personal accounts)](https://git.feneas.org/feneas/fediverse/-/wikis/Early-adopters-(personal-accounts))
* [Supporting Fediverse developers](https://git.feneas.org/feneas/fediverse/-/wikis/contributing-to-fediverse-developers)
* [Wordpress integration with Fediverse](https://git.feneas.org/feneas/fediverse/-/wikis/Wordpress-integration-with-Fediverse)
* [Data porting and cross-posting](https://git.feneas.org/feneas/fediverse/-/wikis/data-porting-and-cross-posting-watchlist)
* [Federated social web timeline](https://git.feneas.org/feneas/fediverse/-/wikis/Federated-Social-Web-Timeline)

#### [Internal fediverse.party pages](internal-fediverseparty-pages)
* [Fediverse app criteria](https://git.feneas.org/feneas/fediverse/-/wikis/Fediverse-app-criteria)
* [FediverseParty agreement](https://git.feneas.org/feneas/fediverse/-/wikis/FediverseParty-agreement)

#### [Various](#various)
* [Blockchain social apps](https://git.feneas.org/feneas/fediverse/-/wikis/blockchain-social-apps)
* [Non-Fediverse federated social apps](https://git.feneas.org/feneas/fediverse/-/wikis/non-fediverse-federated-social-apps)
* [Uses of federating (and some non-federating) protocols](https://git.feneas.org/feneas/fediverse/-/wikis/uses-of-various-federating-(and-some-non-federating)-protocols)